classification
Title: PyInit_shoddy() in shoddy.c does not return anything on success
Type: Stage:
Components: Documentation Versions: Python 3.1
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: georg.brandl Nosy List: georg.brandl, kajiyama
Priority: normal Keywords:

Created on 2009-08-18 23:48 by kajiyama, last changed 2009-09-01 08:03 by georg.brandl. This issue is now closed.

Messages (2)
msg91720 - (view) Author: KAJIYAMA, Tamito (kajiyama) Date: 2009-08-18 23:48
Section 2.1.4, "Subclassing other types", of "Extending and Embedding 
the Python Interpreter" (Release: 3.1, Date: June 26, 2009) has a 
complete list of shoddy.c, in which PyInit_shoddy() does not have a 
return statement at the end to return a pointer to the created "shoddy" 
module on success.  Simply adding the missing "return m;" statement 
would be fine.
msg92131 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2009-09-01 08:03
Thanks, fixed in r74620.
History
Date User Action Args
2009-09-01 08:03:38georg.brandlsetstatus: open -> closed
resolution: fixed
messages: + msg92131
2009-08-18 23:48:27kajiyamacreate